Subject: Ambiguous branch names...

From: Ingo Rohloff <[email-masked]>
Date: Sun, 16 Feb 2014 21:34:39 +0100

Hello,

while trying out git (version 1.7.9.5), I did this:

git clone -- ssh://myserver/~rohloff/git/w1.git w1

So I just cloned a test repository.
The in the cloned "w1" repository I executed:

git branch origin/master
git branch remotes/origin/master
git branch refs/remotes/origin/master

I now have got three *local* branches with the above names, which
now seems to make it impossible to refer to the master branch
from the "origin" *remote* repository.

Wouldn't it make sense to forbid such names for local branches ?
For example to enforce some rules like a local branch name *must not*
start with "remotes/" or "refs/" ?

so long
  Ingo